[Buildroot] [git commit] package/apache: fix checkpackage warnings in init script

Thomas Petazzoni thomas.petazzoni at bootlin.com
Tue Dec 30 13:17:47 UTC 2025


commit: https://git.buildroot.net/buildroot/commit/?id=3862abb010f0ab923a9d870411dc38cc5d5e5f22
branch: https://git.buildroot.net/buildroot/commit/?id=refs/heads/master

Signed-off-by: Fiona Klute <fiona.klute at gmx.de>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni at bootlin.com>
---
 .checkpackageignore      |  1 -
 package/apache/S50apache | 22 +++++++++++-----------
 2 files changed, 11 insertions(+), 12 deletions(-)

diff --git a/.checkpackageignore b/.checkpackageignore
index b1d350bc52..3099dbc576 100644
--- a/.checkpackageignore
+++ b/.checkpackageignore
@@ -201,7 +201,6 @@ package/android-tools/0009-Fix-makefiles-for-out-of-tree-ext4_utils-build.patch
 package/android-tools/0010-adb-added-patch-for-openssl-1.1.0-compatibility.patch lib_patch.Upstream
 package/aoetools/0001-Change-shell-script-interpreter-from-bin-bash-to-bin.patch lib_patch.Upstream
 package/apache/0001-cross-compile.patch lib_patch.Upstream
-package/apache/S50apache Shellcheck lib_sysv.Indent lib_sysv.Variables
 package/apr-util/0001-remove-checkapr.patch lib_patch.Upstream
 package/apr/0001-sys-param-h.patch lib_patch.Upstream
 package/apr/0002-Revert-Backport-r1872164.-Fix-the-name-of-libtool-wh.patch lib_patch.Upstream
diff --git a/package/apache/S50apache b/package/apache/S50apache
index b687419055..71e8837bae 100644
--- a/package/apache/S50apache
+++ b/package/apache/S50apache
@@ -1,15 +1,15 @@
 #!/bin/sh
+# shellcheck disable=SC2034 # checkpackage-required variable
+DAEMON="apache"
 
 case "$1" in
-  start|restart|graceful|graceful-stop|stop)
-	apachectl -k $1
-	;;
-  reload)
-	apachectl -k restart
-	;;
-  *)
-	echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
-	exit 1
+	start|restart|graceful|graceful-stop|stop)
+		apachectl -k "$1"
+		;;
+	reload)
+		apachectl -k restart
+		;;
+	*)
+		echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
+		exit 1
 esac
-
-exit $?


More information about the buildroot mailing list